apiVersion: apps/v1
kind: Deployment
metadata:
  name: minecraft
  labels:
    app.kubernetes.io/name: minecraft
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: minecraft
  template:
    metadata:
      labels:
        app.kubernetes.io/name: minecraft
    spec:
      # nodeSelector:
      #   kubernetes.io/workload: power-node
      containers:
      - name: minecraft
        image: itzg/minecraft-server:2024.12.0
        imagePullPolicy: IfNotPresent
        env:
          - name:  EULA
            value: 'TRUE'
          - name: MODE
            value: "survival"
          - name: SERVER_NAME
            value: minecraft-rostlab
          - name: MOTD
            value: "Kom spelen in de doffe ellende!"
          - name: ALLOW_FLIGHT
            value: 'TRUE'
          - name: MAX_MEMORY
            value: 8G
          - name: USE_AIKAR_FLAGS
            value: "true"
        ports:
        - containerPort: 25565
          name: containerport
        resources:
          limits:
            memory: 4Gi
          requests:
            memory: 4Gi
        volumeMounts:
          - name: minecraft-data
            mountPath: /data
      volumes:
        - name: minecraft-data
          persistentVolumeClaim:
            claimName: pvc-minecraft